import color from '../helpers/color';
const sizeDivisor = {
  small: 5,
  medium: 10,
  large: 15
};
const fontSizes = {
  small: 12,
  medium: 16,
  large: 22
  /**
   *
   *
   * Application Colors
   *
   *
   */

};
const theme = {
  get white() {
    return '#FFF';
  },

  get gray() {
    return '#999';
  },

  get black() {
    return '#000';
  },

  get blackLight() {
    return '#333';
  },

  get primary() {
    return '#451295';
  },

  get secondary() {
    return '#F35C00';
  },

  get success() {
    return '#6CC644';
  },

  get warning() {
    return '#FFBB00';
  },

  get danger() {
    return '#F35C00';
  },

  get info() {
    return '#1DB6FD';
  },

  get light() {
    return '#FFF';
  },

  get disabled() {
    return '#CDCDCD';
  }

};
const colors = {
  get primary() {
    return theme.white;
  },

  get secondary() {
    return theme.white;
  },

  get success() {
    return theme.white;
  },

  get warning() {
    return theme.white;
  },

  get danger() {
    return theme.white;
  },

  get info() {
    return theme.white;
  },

  get light() {
    return theme.primary;
  },

  get disabled() {
    return theme.disabled;
  }

};
const colorsHover = colors;
const colorsOutline = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.light;
  },

  get disabled() {
    return theme.disabled;
  }

};
const colorsOutlineHover = colors;
const backgrounds = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.light;
  },

  get disabled() {
    return theme.disabled;
  }

};
const backgroundsHover = {
  get primary() {
    return color.darken(theme.primary);
  },

  get secondary() {
    return color.darken(theme.secondary);
  },

  get success() {
    return color.darken(theme.success);
  },

  get warning() {
    return color.darken(theme.warning);
  },

  get danger() {
    return color.darken(theme.danger);
  },

  get info() {
    return color.darken(theme.info);
  },

  get light() {
    return color.darken(theme.light, 0.05);
  },

  get disabled() {
    return theme.disabled;
  }

};
const backgroundsActive = {
  get primary() {
    return color.darken(theme.primary, 0.25);
  },

  get secondary() {
    return color.darken(theme.secondary, 0.25);
  },

  get success() {
    return color.darken(theme.success, 0.25);
  },

  get warning() {
    return color.darken(theme.warning, 0.25);
  },

  get danger() {
    return color.darken(theme.danger, 0.25);
  },

  get info() {
    return color.darken(theme.info, 0.25);
  },

  get light() {
    return color.darken(theme.light, 0.1);
  },

  get disabled() {
    return theme.disabled;
  }

};
const backgroundsOutline = {
  get primary() {
    return theme.white;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.white;
  },

  get warning() {
    return theme.white;
  },

  get danger() {
    return theme.white;
  },

  get info() {
    return theme.white;
  },

  get light() {
    return theme.white;
  },

  get disabled() {
    return theme.disabled;
  }

};
const backgroundsOutlineHover = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.light;
  },

  get disabled() {
    return theme.disabled;
  }

};
const backgroundsOutlineActive = backgroundsActive;
const borderColors = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.light;
  },

  get disabled() {
    return theme.disabled;
  }

};
const borderColorsHover = {
  get primary() {
    return color.darken(theme.primary);
  },

  get secondary() {
    return color.darken(theme.secondary);
  },

  get success() {
    return color.darken(theme.success);
  },

  get warning() {
    return color.darken(theme.warning);
  },

  get danger() {
    return color.darken(theme.danger);
  },

  get info() {
    return color.darken(theme.info);
  },

  get light() {
    return color.darken(theme.light, 0.05);
  },

  get disabled() {
    return theme.disabled;
  }

};
const outlineBorderColors = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.light;
  },

  get disabled() {
    return theme.disabled;
  }

};
const outlineBorderColorsHover = {
  get primary() {
    return theme.primary;
  },

  get secondary() {
    return theme.secondary;
  },

  get success() {
    return theme.success;
  },

  get warning() {
    return theme.warning;
  },

  get danger() {
    return theme.danger;
  },

  get info() {
    return theme.info;
  },

  get light() {
    return theme.primary;
  },

  get disabled() {
    return theme.disabled;
  }

};
/**
 *
 *
 * Application Base Values
 *
 *
 */

const base = {
  get gutter() {
    return 15;
  },

  get radiusSmall() {
    return 6;
  },

  get radiusMedium() {
    return 12;
  },

  get radiusLarge() {
    return 50;
  },

  get borderColor() {
    return '#DCDCDC';
  }

};
const input = {
  borderColor: theme.info,
  backgroundColor: theme.white,
  color: '#999999',
  placeholderColor: '#CDCDCD',
  disabled: {
    backgroundColor: '#F3F3F3'
  }
};
const navbarLink = {
  color: theme.primary,
  border: '2px solid transparent',
  active: {
    border: `2px solid ${theme.danger}`
  },
  hover: {
    border: `2px solid ${theme.danger}`
  }
};
const dropdown = {
  cursor: 'pointer',
  disabled: {
    cursor: 'not-allowed'
  }
};
const dropDownItem = {
  color: theme.primary,
  textCenter: {
    color: theme.gray
  }
};
export default {
  sizeDivisor,
  theme,
  fontSizes,
  colors,
  colorsHover,
  colorsOutline,
  colorsOutlineHover,
  backgrounds,
  backgroundsHover,
  backgroundsActive,
  backgroundsOutline,
  backgroundsOutlineHover,
  backgroundsOutlineActive,
  borderColors,
  borderColorsHover,
  outlineBorderColors,
  outlineBorderColorsHover,
  base,
  input,
  navbarLink,
  dropdown,
  dropDownItem
};